Skip to main content
GET
List all users

Authorizations

Authorization
string
header
required

Bearer JWT issued to your business account during onboarding

Query Parameters

page
number

Page number (1-based, default 1)

Example:

"1"

limit
number

Page size (default 50, max 100)

Example:

"50"

sort
string

Sort by name, email, kycStatus, or createdAt. Prefix - for descending.

Example:

"-createdAt"

fields
string

Comma-separated fields: userId, email, name, phone, kycStatus, subAccount

Example:

"userId,email,kycStatus"

q
string

Keyword search across email, name, or exact userId (ObjectId)

Example:

"jane@example.com"

subAccountId
string

Limit results to one sub-account

Example:

"507f1f77bcf86cd799439012"

kycStatus
enum<string>

Filter by KYC status

Available options:
new,
pending,
approved,
rejected,
declined
Example:

"approved"

Response

200 - application/json
data
object[]
pagination
object